## texstudio 4.8.1

=== debian/changelog ===
texstudio (4.8.1-2+2.46) unstable; urgency=low

  * version number update by debtransform

 -- debtransform <build@opensuse.org>  Thu, 23 Oct 2025 15:27:56 +0000

texstudio (4.8.1-50) unstable; urgency=low

  * update to git rev.  4.8.1rc1-2-ge21bf65c7

 -- Jan Sundermeyer <jsundermeyer@sf.net>  Mon, 03 Jun 2024 18:04:03 +0200

texstudio (4.8.1-49) unstable; urgency=low

  * update to git rev.  4.8.1beta1-12-g4d65a8176

 -- Jan Sundermeyer <jsundermeyer@sf.net>  Thu, 30 May 2024 16:02:54 +0200

texstudio (4.8.1-19) unstable; urgency=low

  * update to git rev.  4.3.1-154-gb3894ed1d

 -- Jan Sundermeyer <jsundermeyer@sf.net>  Fri, 14 Oct 2022 21:04:55 +0200

texstudio (4.8.1-18) unstable; urgency=low

  * update to git rev.  4.3.1-141-g54ee787b3

 -- Jan Sundermeyer <jsundermeyer@sf.net>  Fri, 07 Oct 2022 21:17:12 +0200

texstudio (4.8.1-17) unstable; urgency=low

  * update to git rev.  4.3.1-23-ge92adb89e

 -- Jan Sundermeyer <jsundermeyer@sf.net>  Tue, 06 Sep 2022 20:51:30 +0200

texstudio (4.8.1-16) unstable; urgency=low

  * update to git rev.  4.2.3rc1-3-g2587d772f

 -- Jan Sundermeyer <jsundermeyer@sf.net>  Sun, 17 Apr 2022 09:25:29 +0200

texstudio (4.8.1-15) unstable; urgency=low

  * update to git rev.  4.2.3rc1

 -- Jan Sundermeyer <jsundermeyer@sf.net>  Fri, 15 Apr 2022 11:22:59 +0200

texstudio (4.8.1-14) unstable; urgency=low

  * update to git rev.  4.2.2-96-g07b27ce4e

 -- Jan Sundermeyer <jsundermeyer@sf.net>  Sun, 10 Apr 2022 10:22:50 +0200

texstudio (4.8.1-13) unstable; urgency=low

  * update to git rev.  4.2.2-81-g9ae61d7f1

 -- Jan Sundermeyer <jsundermeyer@sf.net>  Sun, 03 Apr 2022 11:36:05 +0200

texstudio (4.8.1-12) unstable; urgency=low

  * update to git rev.  4.2.2-16-g780852337

 -- Jan Sundermeyer <jsundermeyer@sf.net>  Thu, 03 Mar 2022 18:13:15 +0100

texstudio (4.8.1-11) unstable; urgency=low

  * update to git rev.  4.0.2-26-g9fe49c92

 -- Jan Sundermeyer <jsundermeyer@sf.net>  Sat, 30 Oct 2021 15:31:54 +0200

texstudio (4.8.1-10) unstable; urgency=low

  * update to git rev.  4.0.2-24-gd2436af1

 -- Jan Sundermeyer <jsundermeyer@sf.net>  Sat, 30 Oct 2021 09:12:16 +0200

## texstudio 4.8.1+ds

=== debian/changelog ===
texstudio (4.8.1+ds-1ubuntu1) oracular; urgency=medium

  * Build-depend on libqtermwidget6-2-dev.

 -- Matthias Klose <doko@ubuntu.com>  Sun, 22 Sep 2024 17:24:34 +0200

texstudio (4.8.1+ds-1) unstable; urgency=medium

  * Merging upstream version 4.8.1+ds.
  * Regenerating 0004-disable-auto-update.patch.
  * Rebuilding upstream tarball without:
    - conflicting debian directory
    - conflicting .gitattributes file
    - conflicting .gitignore file
    - unused .github directory
    - unused src/adwaita-qt directory
    - unused src/hunspell directory
    - unused src/quazip directory
    - unused utilities/FileAssociation.nsh file
    - unused utilities/fonts directory
    - unused utilities/installscript.qs file
    - unused utilities/manual/build directory
    - unused utilities/manual/make.bat file
    - unused utilities/poppler-data directory
    - unused utilities/qxs/doc directory
    - unused utilities/texstudio*.nsi files
    - unused utilities/TexTablet directory
    - unused dictionary and thesaurus files
    - unused qt translations
    - obsolete usermanual files

 -- Tom Jampen <tom@cryptography.ch>  Fri, 07 Jun 2024 23:06:57 +0200

=== debian/control ===
Source: texstudio
Section: editors
Priority: optional
Maintainer: Tom Jampen <tom@cryptography.ch>
Build-Depends:
 cmake, debhelper-compat (= 13), furo (>= 2023.07.26),
 libhunspell-dev (>= 1.5.1), libpoppler-cpp-dev, libpoppler-qt5-dev,
 libqt5svg5-dev, libquazip1-qt5-dev, libqtermwidget6-2-dev, pkgconf,
 python3-myst-parser, python3-sphinx, python3-sphinx-design,
 python3-sphinx-inline-tabs, python3-sphinxext-opengraph, qtdeclarative5-dev,
 qtmultimedia5-dev, qtscript5-dev, qttools5-dev, zlib1g-dev
Standards-Version: 4.7.0
Rules-Requires-Root: no
Homepage: https://texstudio.org/

Package: texstudio
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}, libqt5svg5
Recommends:
 adwaita-qt, texlive-base, texlive-latex-base, texlive-latex-recommended,
 texstudio-doc, texstudio-l10n
Suggests:
 hunspell-dictionary, mythes-thesaurus, texlive-fonts-recommended,
 texlive-latex-extra
Description: fully featured LaTeX editor
 TeXstudio is an integrated writing environment for creating LaTeX documents.
 The software aims to simplify and enhance the LaTeX writing process, providing
 users with a range of features, including:
 .
  - Advanced syntax highlighting
  - Live reference checking
  - An integrated PDF viewer
  - Live inline preview
  - LaTeX command completion and syntax checking
  - Local and global structure view
  - Citations checking and completion
  - Live grammar checking
  - Spellchecking

Package: texstudio-doc
Section: doc
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}, ${sphinxdoc:Depends}, furo, python3-sphinx-inline-tabs
Replaces: texstudio (<< 2.7.0+debian-2)
Breaks: texstudio (<< 2.7.0+debian-2)
Built-Using: ${sphinxdoc:Built-Using}, ${built:Using}
Description: fully featured LaTeX editor (doc)
 TeXstudio is an integrated writing environment for creating LaTeX documents.
 The software aims to simplify and enhance the LaTeX writing process, providing
 users with a range of features, including:
 .
  - Advanced syntax highlighting
  - Live reference checking
  - An integrated PDF viewer
  - Live inline preview
  - LaTeX command completion and syntax checking
  - Local and global structure view
  - Citations checking and completion
  - Live grammar checking
  - Spellchecking
 .
 This package contains the html documentation and the LaTeX templates.

Package: texstudio-l10n
Section: localization
Architecture: all
Depends: ${misc:Depends}, texstudio (>= ${source:Version})
Replaces: texstudio (<< 2.7.0+debian-2)
Breaks: texstudio (<< 2.7.0+debian-2)
Description: fully featured LaTeX editor (localization)
 TeXstudio is an integrated writing environment for creating LaTeX documents.
 The software aims to simplify and enhance the LaTeX writing process, providing
 users with a range of features, including:
 .
  - Advanced syntax highlighting
  - Live reference checking
  - An integrated PDF viewer
  - Live inline preview
  - LaTeX command completion and syntax checking
  - Local and global structure view
  - Citations checking and completion
  - Live grammar checking
  - Spellchecking
 .
 This package contains the following translations: ar, br, ca, cs, de, de_CH,
 el, es, fa, fr, gsw, hu, id_ID, ie, it, ja, ko, ko_KR, nb_NO, nl, pl, pt,
 pt_BR, ru, ru_RU, si, sk, sv, sq, tr_TR, ug, uk, vi, zh_CN.

## texstudio 4.8.2

=== debian/changelog ===
texstudio (4.8.2-2+9.45) unstable; urgency=low

  * version number update by debtransform

 -- debtransform <build@opensuse.org>  Sat, 11 Oct 2025 05:02:17 +0000

texstudio (4.8.2-57) unstable; urgency=low

  * update to git rev.  4.8.2

 -- Jan Sundermeyer <jsundermeyer@sf.net>  Wed, 28 Aug 2024 19:27:33 +0200

texstudio (4.8.2-56) unstable; urgency=low

  * update to git rev.  4.8.2rc3

 -- Jan Sundermeyer <jsundermeyer@sf.net>  Sun, 25 Aug 2024 20:46:33 +0200

texstudio (4.8.2-55) unstable; urgency=low

  * update to git rev.  4.8.2rc2-1-geaffb4f8c

 -- Jan Sundermeyer <jsundermeyer@sf.net>  Fri, 23 Aug 2024 18:00:28 +0200

texstudio (4.8.2-54) unstable; urgency=low

  * update to git rev.  4.8.2alpha4-1-g398caebdc

 -- Jan Sundermeyer <jsundermeyer@sf.net>  Mon, 19 Aug 2024 09:53:42 +0200

texstudio (4.8.2-53) unstable; urgency=low

  * update to git rev.  4.8.2alpha3

 -- Jan Sundermeyer <jsundermeyer@sf.net>  Wed, 31 Jul 2024 19:43:29 +0200

texstudio (4.8.2-52) unstable; urgency=low

  * update to git rev.  4.8.1-38-g9f8f70ca7

 -- Jan Sundermeyer <jsundermeyer@sf.net>  Tue, 16 Jul 2024 19:03:34 +0200

texstudio (4.8.2-51) unstable; urgency=low

  * update to git rev.  4.8.1-34-g64f41254a

 -- Jan Sundermeyer <jsundermeyer@sf.net>  Mon, 15 Jul 2024 20:43:26 +0200

texstudio (4.8.2-50) unstable; urgency=low

  * update to git rev.  4.8.1-24-g1c03225cf

 -- Jan Sundermeyer <jsundermeyer@sf.net>  Sat, 29 Jun 2024 20:42:21 +0200

texstudio (4.8.2-49) unstable; urgency=low

  * update to git rev.  4.8.1-14-gc5963f1d9

 -- Jan Sundermeyer <jsundermeyer@sf.net>  Sun, 23 Jun 2024 19:52:18 +0200

texstudio (4.8.2-19) unstable; urgency=low

  * update to git rev.  4.3.1-154-gb3894ed1d

 -- Jan Sundermeyer <jsundermeyer@sf.net>  Fri, 14 Oct 2022 21:04:55 +0200

texstudio (4.8.2-18) unstable; urgency=low

  * update to git rev.  4.3.1-141-g54ee787b3

 -- Jan Sundermeyer <jsundermeyer@sf.net>  Fri, 07 Oct 2022 21:17:12 +0200

texstudio (4.8.2-17) unstable; urgency=low

  * update to git rev.  4.3.1-23-ge92adb89e

 -- Jan Sundermeyer <jsundermeyer@sf.net>  Tue, 06 Sep 2022 20:51:30 +0200

texstudio (4.8.2-16) unstable; urgency=low

  * update to git rev.  4.2.3rc1-3-g2587d772f

 -- Jan Sundermeyer <jsundermeyer@sf.net>  Sun, 17 Apr 2022 09:25:29 +0200

texstudio (4.8.2-15) unstable; urgency=low

  * update to git rev.  4.2.3rc1

 -- Jan Sundermeyer <jsundermeyer@sf.net>  Fri, 15 Apr 2022 11:22:59 +0200

texstudio (4.8.2-14) unstable; urgency=low

  * update to git rev.  4.2.2-96-g07b27ce4e

 -- Jan Sundermeyer <jsundermeyer@sf.net>  Sun, 10 Apr 2022 10:22:50 +0200

texstudio (4.8.2-13) unstable; urgency=low

  * update to git rev.  4.2.2-81-g9ae61d7f1

 -- Jan Sundermeyer <jsundermeyer@sf.net>  Sun, 03 Apr 2022 11:36:05 +0200

texstudio (4.8.2-12) unstable; urgency=low

  * update to git rev.  4.2.2-16-g780852337

 -- Jan Sundermeyer <jsundermeyer@sf.net>  Thu, 03 Mar 2022 18:13:15 +0100

texstudio (4.8.2-11) unstable; urgency=low

  * update to git rev.  4.0.2-26-g9fe49c92

 -- Jan Sundermeyer <jsundermeyer@sf.net>  Sat, 30 Oct 2021 15:31:54 +0200

texstudio (4.8.2-10) unstable; urgency=low

  * update to git rev.  4.0.2-24-gd2436af1

 -- Jan Sundermeyer <jsundermeyer@sf.net>  Sat, 30 Oct 2021 09:12:16 +0200

## texstudio 4.8.2+ds

=== debian/changelog ===
texstudio (4.8.2+ds-1) unstable; urgency=medium

  * Merging upstream version 4.8.2+ds.
  * Regenerating 0004-disable-auto-update.patch.
  * Regenerating 0005-adwaita-qt.patch.
  * Adding qtchooser as a build dependency for building TeXstudio
    translations.
  * Adding command in rules file for building translations.
  * Updating excluded files in copyright file.
  * Rebuilding upstream tarball without:
    - conflicting debian directory
    - conflicting .gitattributes file
    - conflicting .gitignore file
    - unused .github directory
    - unused src/adwaita-qt directory
    - unused src/hunspell directory
    - unused src/quazip directory
    - unused utilities/FileAssociation.nsh file
    - unused utilities/fonts directory
    - unused utilities/installscript.qs file
    - unused utilities/manual/build directory
    - unused utilities/manual/make.bat file
    - unused utilities/poppler-data directory
    - unused utilities/qxs/doc directory
    - unused utilities/texstudio*.nsi files
    - unused utilities/TexTablet directory
    - unused dictionary and thesaurus files
    - unused qt translations
    - unused precompiled TeXstudio translations
    - obsolete usermanual files

 -- Tom Jampen <tom@cryptography.ch>  Sun, 22 Sep 2024 10:39:01 +0200

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/dpkg/pkg-info.mk

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
export QT_SELECT=qt5
export DEB_VERSION

%:
	dh ${@} --with sphinxdoc

override_dh_sphinxdoc:
	dh_sphinxdoc -X.md.txt -X.rst.txt

override_dh_auto_build:
	/usr/bin/lrelease translation/*.ts
	dh_auto_build
	cd utilities/manual && SPHINXBUILD=/usr/bin/sphinx-build make html

override_dh_auto_configure:
	dh_auto_configure -- -DTEXSTUDIO_ENABLE_CRASH_HANDLER=OFF \
	-DTEXSTUDIO_ENABLE_MEDIAPLAYER=ON

override_dh_auto_install:
	dh_auto_install

	# moving and renaming icons
	for SIZE in 16x16 22x22 32x32 48x48 64x64 128x128 ; do \
		mkdir -p debian/tmp/usr/share/icons/hicolor/$$SIZE/apps ; \
		mv -f utilities/texstudio$$SIZE.png \
		debian/tmp/usr/share/icons/hicolor/$$SIZE/apps/texstudio.png ; \
	done

	# removing useless files
	rm -f debian/tmp/usr/share/texstudio/CHANGELOG.txt
	rm -f debian/tmp/usr/share/texstudio/CHANGELOG.md
	rm -f debian/tmp/usr/share/texstudio/COPYING
	rm -f debian/tmp/usr/share/texstudio/AUTHORS

	# removing static files included in Debian package furo
	rm -f debian/tmp/usr/share/doc/texstudio/html/_static/scripts/*.js
	rm -f debian/tmp/usr/share/doc/texstudio/html/_static/styles/*.css

	# removing static files included in Debian package python3-sphinx-inline-tabs
	rm -f debian/tmp/usr/share/doc/texstudio/html/_static/tabs.*

	# removing static files not used in the documentation
	rm -rf debian/tmp/usr/share/texstudio/_sphinx_design_static
	rm -f debian/tmp/usr/share/doc/texstudio/html/_static/basic.css
	rm -f debian/tmp/usr/share/doc/texstudio/html/_static/debug.css
	rm -f debian/tmp/usr/share/doc/texstudio/html/_static/skeleton.css
	rm -f debian/tmp/usr/share/doc/texstudio/html/_static/file.png
	rm -f debian/tmp/usr/share/doc/texstudio/html/_static/minus.png
	rm -f debian/tmp/usr/share/doc/texstudio/html/_static/plus.png

override_dh_gencontrol:
	dh_gencontrol -- -Vbuilt:Using="$(shell dpkg-query \
	-f '$${source:Package} (= $${source:Version}), ' \
	-W python3-sphinx-design python3-pygments)"

override_dh_installchangelogs:
	dh_installchangelogs utilities/manual/source/CHANGELOG.md

## texstudio 4.8.3

=== debian/changelog ===
texstudio (4.8.3-2+2.38) unstable; urgency=low

  * version number update by debtransform

 -- debtransform <build@opensuse.org>  Sat, 11 Oct 2025 05:02:19 +0000

texstudio (4.8.3-55) unstable; urgency=low

  * update to git rev.  4.8.3

 -- Jan Sundermeyer <jsundermeyer@sf.net>  Fri, 20 Sep 2024 19:09:00 +0200

texstudio (4.8.3-54) unstable; urgency=low

  * update to git rev.  4.8.3

 -- Jan Sundermeyer <jsundermeyer@sf.net>  Fri, 20 Sep 2024 19:07:37 +0200

texstudio (4.8.3-53) unstable; urgency=low

  * update to git rev.  4.8.3

 -- Jan Sundermeyer <jsundermeyer@sf.net>  Fri, 20 Sep 2024 19:06:34 +0200

texstudio (4.8.3-52) unstable; urgency=low

  * update to git rev.  4.8.3

 -- Jan Sundermeyer <jsundermeyer@sf.net>  Fri, 20 Sep 2024 19:05:42 +0200

texstudio (4.8.3-51) unstable; urgency=low

  * update to git rev.  4.8.3

 -- Jan Sundermeyer <jsundermeyer@sf.net>  Fri, 20 Sep 2024 19:02:17 +0200

texstudio (4.8.3-50) unstable; urgency=low

  * update to git rev.  4.8.3

 -- Jan Sundermeyer <jsundermeyer@sf.net>  Fri, 20 Sep 2024 18:46:09 +0200

texstudio (4.8.3-49) unstable; urgency=low

  * update to git rev.  4.8.3rc1

 -- Jan Sundermeyer <jsundermeyer@sf.net>  Mon, 16 Sep 2024 20:27:40 +0200

texstudio (4.8.3-19) unstable; urgency=low

  * update to git rev.  4.3.1-154-gb3894ed1d

 -- Jan Sundermeyer <jsundermeyer@sf.net>  Fri, 14 Oct 2022 21:04:55 +0200

texstudio (4.8.3-18) unstable; urgency=low

  * update to git rev.  4.3.1-141-g54ee787b3

 -- Jan Sundermeyer <jsundermeyer@sf.net>  Fri, 07 Oct 2022 21:17:12 +0200

texstudio (4.8.3-17) unstable; urgency=low

  * update to git rev.  4.3.1-23-ge92adb89e

 -- Jan Sundermeyer <jsundermeyer@sf.net>  Tue, 06 Sep 2022 20:51:30 +0200

texstudio (4.8.3-16) unstable; urgency=low

  * update to git rev.  4.2.3rc1-3-g2587d772f

 -- Jan Sundermeyer <jsundermeyer@sf.net>  Sun, 17 Apr 2022 09:25:29 +0200

texstudio (4.8.3-15) unstable; urgency=low

  * update to git rev.  4.2.3rc1

 -- Jan Sundermeyer <jsundermeyer@sf.net>  Fri, 15 Apr 2022 11:22:59 +0200

texstudio (4.8.3-14) unstable; urgency=low

  * update to git rev.  4.2.2-96-g07b27ce4e

 -- Jan Sundermeyer <jsundermeyer@sf.net>  Sun, 10 Apr 2022 10:22:50 +0200

texstudio (4.8.3-13) unstable; urgency=low

  * update to git rev.  4.2.2-81-g9ae61d7f1

 -- Jan Sundermeyer <jsundermeyer@sf.net>  Sun, 03 Apr 2022 11:36:05 +0200

texstudio (4.8.3-12) unstable; urgency=low

  * update to git rev.  4.2.2-16-g780852337

 -- Jan Sundermeyer <jsundermeyer@sf.net>  Thu, 03 Mar 2022 18:13:15 +0100

texstudio (4.8.3-11) unstable; urgency=low

  * update to git rev.  4.0.2-26-g9fe49c92

 -- Jan Sundermeyer <jsundermeyer@sf.net>  Sat, 30 Oct 2021 15:31:54 +0200

texstudio (4.8.3-10) unstable; urgency=low

  * update to git rev.  4.0.2-24-gd2436af1

 -- Jan Sundermeyer <jsundermeyer@sf.net>  Sat, 30 Oct 2021 09:12:16 +0200

## texstudio 4.8.4

=== debian/changelog ===
texstudio (4.8.4-2+1.38) unstable; urgency=low

  * version number update by debtransform

 -- debtransform <build@opensuse.org>  Sat, 11 Oct 2025 05:02:13 +0000

texstudio (4.8.4-49) unstable; urgency=low

  * update to git rev.  4.8.4

 -- Jan Sundermeyer <jsundermeyer@sf.net>  Fri, 27 Sep 2024 17:42:17 +0200

texstudio (4.8.4-19) unstable; urgency=low

  * update to git rev.  4.3.1-154-gb3894ed1d

 -- Jan Sundermeyer <jsundermeyer@sf.net>  Fri, 14 Oct 2022 21:04:55 +0200

texstudio (4.8.4-18) unstable; urgency=low

  * update to git rev.  4.3.1-141-g54ee787b3

 -- Jan Sundermeyer <jsundermeyer@sf.net>  Fri, 07 Oct 2022 21:17:12 +0200

texstudio (4.8.4-17) unstable; urgency=low

  * update to git rev.  4.3.1-23-ge92adb89e

 -- Jan Sundermeyer <jsundermeyer@sf.net>  Tue, 06 Sep 2022 20:51:30 +0200

texstudio (4.8.4-16) unstable; urgency=low

  * update to git rev.  4.2.3rc1-3-g2587d772f

 -- Jan Sundermeyer <jsundermeyer@sf.net>  Sun, 17 Apr 2022 09:25:29 +0200

texstudio (4.8.4-15) unstable; urgency=low

  * update to git rev.  4.2.3rc1

 -- Jan Sundermeyer <jsundermeyer@sf.net>  Fri, 15 Apr 2022 11:22:59 +0200

texstudio (4.8.4-14) unstable; urgency=low

  * update to git rev.  4.2.2-96-g07b27ce4e

 -- Jan Sundermeyer <jsundermeyer@sf.net>  Sun, 10 Apr 2022 10:22:50 +0200

texstudio (4.8.4-13) unstable; urgency=low

  * update to git rev.  4.2.2-81-g9ae61d7f1

 -- Jan Sundermeyer <jsundermeyer@sf.net>  Sun, 03 Apr 2022 11:36:05 +0200

texstudio (4.8.4-12) unstable; urgency=low

  * update to git rev.  4.2.2-16-g780852337

 -- Jan Sundermeyer <jsundermeyer@sf.net>  Thu, 03 Mar 2022 18:13:15 +0100

texstudio (4.8.4-11) unstable; urgency=low

  * update to git rev.  4.0.2-26-g9fe49c92

 -- Jan Sundermeyer <jsundermeyer@sf.net>  Sat, 30 Oct 2021 15:31:54 +0200

texstudio (4.8.4-10) unstable; urgency=low

  * update to git rev.  4.0.2-24-gd2436af1

 -- Jan Sundermeyer <jsundermeyer@sf.net>  Sat, 30 Oct 2021 09:12:16 +0200

## texstudio 4.8.4+ds

=== debian/changelog ===
texstudio (4.8.4+ds-1) unstable; urgency=medium

  * Merging upstream version 4.8.4+ds.
  * Regenerating 0005-adwaita-qt.patch.
  * Rebuilding upstream tarball without:
    - conflicting debian directory
    - conflicting .gitattributes file
    - conflicting .gitignore file
    - unused .github directory
    - unused src/adwaita-qt directory
    - unused src/hunspell directory
    - unused src/quazip directory
    - unused utilities/FileAssociation.nsh file
    - unused utilities/fonts directory
    - unused utilities/installscript.qs file
    - unused utilities/manual/build directory
    - unused utilities/manual/make.bat file
    - unused utilities/poppler-data directory
    - unused utilities/qxs/doc directory
    - unused utilities/texstudio*.nsi files
    - unused utilities/TexTablet directory
    - unused dictionary and thesaurus files
    - unused qt translations
    - unused precompiled TeXstudio translations
    - obsolete usermanual files

 -- Tom Jampen <tom@cryptography.ch>  Sat, 28 Sep 2024 17:34:36 +0200

=== debian/control ===
--- 
+++ 
@@ -5,10 +5,10 @@
 Build-Depends:
  cmake, debhelper-compat (= 13), furo (>= 2023.07.26),
  libhunspell-dev (>= 1.5.1), libpoppler-cpp-dev, libpoppler-qt5-dev,
- libqt5svg5-dev, libquazip1-qt5-dev, libqtermwidget6-2-dev, pkgconf,
+ libqt5svg5-dev, libquazip1-qt5-dev, libqtermwidget5-1-dev, pkgconf,
  python3-myst-parser, python3-sphinx, python3-sphinx-design,
- python3-sphinx-inline-tabs, python3-sphinxext-opengraph, qtdeclarative5-dev,
- qtmultimedia5-dev, qtscript5-dev, qttools5-dev, zlib1g-dev
+ python3-sphinx-inline-tabs, python3-sphinxext-opengraph, qtchooser,
+ qtdeclarative5-dev, qtmultimedia5-dev, qtscript5-dev, qttools5-dev, zlib1g-dev
 Standards-Version: 4.7.0
 Rules-Requires-Root: no
 Homepage: https://texstudio.org/

## texstudio 4.8.5

=== debian/changelog ===
texstudio (4.8.5-2+2.27) unstable; urgency=low

  * version number update by debtransform

 -- debtransform <build@opensuse.org>  Sat, 11 Oct 2025 05:02:19 +0000

texstudio (4.8.5-50) unstable; urgency=low

  * update to git rev.  4.8.5

 -- Jan Sundermeyer <jsundermeyer@sf.net>  Fri, 13 Dec 2024 17:55:23 +0100

texstudio (4.8.5-49) unstable; urgency=low

  * update to git rev.  4.8.5rc2-1-ga0be4e193

 -- Jan Sundermeyer <jsundermeyer@sf.net>  Tue, 10 Dec 2024 19:21:30 +0100

texstudio (4.8.5-19) unstable; urgency=low

  * update to git rev.  4.3.1-154-gb3894ed1d

 -- Jan Sundermeyer <jsundermeyer@sf.net>  Fri, 14 Oct 2022 21:04:55 +0200

texstudio (4.8.5-18) unstable; urgency=low

  * update to git rev.  4.3.1-141-g54ee787b3

 -- Jan Sundermeyer <jsundermeyer@sf.net>  Fri, 07 Oct 2022 21:17:12 +0200

texstudio (4.8.5-17) unstable; urgency=low

  * update to git rev.  4.3.1-23-ge92adb89e

 -- Jan Sundermeyer <jsundermeyer@sf.net>  Tue, 06 Sep 2022 20:51:30 +0200

texstudio (4.8.5-16) unstable; urgency=low

  * update to git rev.  4.2.3rc1-3-g2587d772f

 -- Jan Sundermeyer <jsundermeyer@sf.net>  Sun, 17 Apr 2022 09:25:29 +0200

texstudio (4.8.5-15) unstable; urgency=low

  * update to git rev.  4.2.3rc1

 -- Jan Sundermeyer <jsundermeyer@sf.net>  Fri, 15 Apr 2022 11:22:59 +0200

texstudio (4.8.5-14) unstable; urgency=low

  * update to git rev.  4.2.2-96-g07b27ce4e

 -- Jan Sundermeyer <jsundermeyer@sf.net>  Sun, 10 Apr 2022 10:22:50 +0200

texstudio (4.8.5-13) unstable; urgency=low

  * update to git rev.  4.2.2-81-g9ae61d7f1

 -- Jan Sundermeyer <jsundermeyer@sf.net>  Sun, 03 Apr 2022 11:36:05 +0200

texstudio (4.8.5-12) unstable; urgency=low

  * update to git rev.  4.2.2-16-g780852337

 -- Jan Sundermeyer <jsundermeyer@sf.net>  Thu, 03 Mar 2022 18:13:15 +0100

texstudio (4.8.5-11) unstable; urgency=low

  * update to git rev.  4.0.2-26-g9fe49c92

 -- Jan Sundermeyer <jsundermeyer@sf.net>  Sat, 30 Oct 2021 15:31:54 +0200

texstudio (4.8.5-10) unstable; urgency=low

  * update to git rev.  4.0.2-24-gd2436af1

 -- Jan Sundermeyer <jsundermeyer@sf.net>  Sat, 30 Oct 2021 09:12:16 +0200

## texstudio 4.8.5+ds

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.1.0)

project(TeXstudio VERSION 4.8.5 LANGUAGES C CXX)
SET(CMAKE_MODULE_PATH ${PROJECT_SOURCE_DIR}/cmake ${CMAKE_MODULE_PATH})
set(CMAKE_DEBUG_POSTFIX "d")
set(CMAKE_AUTOMOC ON)
set(CMAKE_AUTORCC ON)
set(CMAKE_AUTOUIC ON)
set(CMAKE_INCLUDE_CURRENT_DIR ON)
if(APPLE)
set(CMAKE_CXX_STANDARD 20)
else()
set(CMAKE_CXX_STANDARD 17)
endif()


list(APPEND CMAKE_MODULE_PATH "${CMAKE_CURRENT_SOURCE_DIR}/cmake")

find_package(GitInfo)
if(GIT_FOUND AND EXISTS "${PROJECT_SOURCE_DIR}/.git")
	git_wc_info(${PROJECT_SOURCE_DIR} VARPREFIX)
	add_definitions(-DTEXSTUDIO_VERSION="${VARPREFIX_WC_LATEST_TAG_LONG}")
	message(STATUS "The current git hash is ${VARPREFIX_WC_REVISION_HASH}")
	message(STATUS "The current git describe is ${VARPREFIX_WC_LATEST_TAG_LONG}")
else()
	add_definitions(-DTEXSTUDIO_VERSION="${CMAKE_PROJECT_VERSION}")
	message(STATUS "No git present.")
    unset(GIT_FOUND)
	set(VARPREFIX_WC_LATEST_TAG_LONG "${CMAKE_PROJECT_VERSION}+0+0")
endif()
include(cmake/project_version.cmake)

if(MSVC)
	set(ADDITIONAL_DEFINITIONS ${ADDITIONAL_DEFINITIONS} -D_CRT_SECURE_NO_WARNINGS -D_UNICODE -DUNICODE)
	add_compile_options(/wd4267 /wd4244)
	add_compile_options($<$<CXX_COMPILER_ID:MSVC>:/MP>)
else()
	add_compile_options(-Wno-deprecated-declarations)
endif()

if(WIN32 AND NOT MSVC)
        add_compile_options($<$<COMPILE_LANGUAGE:CXX>:-fpermissive>)
        add_compile_options(-Wa,-mbig-obj)
endif()

find_package(QT NAMES Qt6 Qt5 COMPONENTS Widgets LinguistTools REQUIRED)
find_package(Qt${QT_VERSION_MAJOR} COMPONENTS Core Network Xml Concurrent Widgets UiTools REQUIRED)
find_package(Qt${QT_VERSION_MAJOR} COMPONENTS PrintSupport Svg Qml REQUIRED)
if(${QT_VERSION_MAJOR} GREATER_EQUAL 6)
    find_package(Qt${QT_VERSION_MAJOR} COMPONENTS LinguistTools QUIET)
endif()

message(STATUS "building for Qt ${QT_VERSION_MAJOR}")

# Source
add_subdirectory(src)

# qtsingleapplication
add_subdirectory(src/qtsingleapplication)

# main
set(RESOURCE_FILES 
	texstudio.qrc
	symbols.qrc
	completion.qrc
	images.qrc
)
if(APPLE)
    file(GLOB manual
        utilities/manual/build/html/*.html
    )
    set(manual ${manual} utilities/manual/build/html/searchindex.js)
    file(GLOB images
        utilities/manual/build/html/_images/*.webp
    )
    file(GLOB static
        utilities/manual/build/html/_static/*
    )
    file(GLOB static_scripts
        utilities/manual/build/html/_static/scripts/*
    )
    file(GLOB static_styles
        utilities/manual/build/html/_static/styles/*
    )
    file(GLOB design_static
        utilities/manual/build/html/_sphinx_design_static/*
    )
    file(GLOB_RECURSE templates
       templates/*
    )
    file(GLOB_RECURSE translation
       translation/*.qm
    )
    file(GLOB_RECURSE dictionaries
       utilities/dictionaries/*
    )

    set(OSX_FILES
        texstudio.icns
        utilities/latex2e.html
        utilities/latex2e.css
		utilities/list.png
		utilities/manual/source/CHANGELOG.md
        ${templates}
        ${dictionaries}
        ${translation}
    )
else()
    set(OSX_FILES "")
endif()

set(TRANSLATION_FILES
	translation/texstudio_en.ts
)
if(${QT_VERSION_MAJOR} GREATER_EQUAL 6 AND CMAKE_BUILD_TYPE STREQUAL "Debug")
	if(${QT_VERSION_MINOR} LESS_EQUAL 6)
		message(STATUS "Generate translation source option.")
		qt6_add_lupdate(texstudio TS_FILES ${TRANSLATION_FILES})
	endif()
	if(${QT_VERSION_MINOR} GREATER_EQUAL 7)
                message(STATUS "Generate translation source option. (>= Qt6.7)")
                qt6_add_translations(texstudio TS_FILES ${TRANSLATION_FILES})
	endif()
endif()

if(WIN32)
	set(SOURCE_FILES ${SOURCE_FILES} win.rc)
endif()
if(UNIX AND NOT APPLE AND NOT HAIKU)
	add_subdirectory(src/xkb)
endif()

# Hunspell
find_package(Hunspell QUIET)
if(Hunspell_FOUND)
	message(STATUS "Using system Hunspell")
	set(HUNSPELL_SOURCE_LINK 0)
	get_filename_component(HUNSPELL_LIB_NAME ${HUNSPELL_LIBRARIES} NAME)
	string(FIND ${HUNSPELL_LIB_NAME} "static" HUNSPELL_IS_STATIC_POS)
	if(${HUNSPELL_IS_STATIC_POS} GREATER 0)
		set(HUNSPELL_SOURCE_LINK 1)
	endif()
	if(${HUNSPELL_SOURCE_LINK} GREATER 0)
		option(HUNSPELL_IS_STATIC "Hunspell is a static library" ON)
	else()
		option(HUNSPELL_IS_STATIC "Hunspell is a static library" OFF)
	endif()
else()
	message(STATUS "Using internal Hunspell")
	add_subdirectory(src/hunspell)
	set(HUNSPELL_SOURCE_LINK 2)
	set(HUNSPELL_IS_STATIC ON)
endif()
if(${HUNSPELL_IS_STATIC})
	set(ADDITIONAL_DEFINITIONS ${ADDITIONAL_DEFINITIONS} -DHUNSPELL_STATIC)
endif()

# qcodeedit
add_subdirectory(src/qcodeedit)

# debughelper
add_subdirectory(src/debug)

# latexparser
add_subdirectory(src/latexparser)

# symbolpanel
add_subdirectory(src/symbolpanel)

#qtermwidget
if(${QT_VERSION_MAJOR} LESS_EQUAL 5)
    find_package(QTermWidget QUIET)
    if(QTermWidget_FOUND)
        message(STATUS "Using QTermWidget5")
        set(ADDITIONAL_DEFINITIONS ${ADDITIONAL_DEFINITIONS} -DINTERNAL_TERMINAL)
    endif()
endif()

# QuaZIP
find_package(QuaZip-Qt${QT_VERSION_MAJOR} QUIET)
if(QuaZip-Qt${QT_VERSION_MAJOR}_FOUND)
	message(STATUS "quazip 1.x found")
else()
	find_package(QuaZip QUIET)
	if(QUAZIP_FOUND)
		message(STATUS "Using system QuaZIP")
		set(QUAZIP_SOURCE_LINK 0)
		get_filename_component(QUAZIP_LIB_NAME ${QUAZIP_LIBRARIES} NAME)
		string(FIND ${QUAZIP_LIB_NAME} "static" QUAZIP_IS_STATIC_POS)
		if(${QUAZIP_IS_STATIC_POS} GREATER 0)
			set(QUAZIP_SOURCE_LINK 1)
		endif()
		if(${QUAZIP_SOURCE_LINK} GREATER 0)
			option(QUAZIP_IS_STATIC "QuaZIP is a static library" ON)
		else()
			option(QUAZIP_IS_STATIC "QuaZIP is a static library" OFF)
		endif()
	else()
                message(STATUS "Using internal QuaZIP and internal zlib")
                if(WIN32)
                    set(ZLIB_BUILD_EXAMPLES OFF)
                    set(SKIP_INSTALL_LIBRARIES ON)
                    add_subdirectory(src/zlib-1.3.1)
                    set(ZLIB_INCLUDE_DIR ${CMAKE_CURRENT_BINARY_DIR}/src/zlib-1.3.1)
                    if(CMAKE_BUILD_TYPE STREQUAL "Debug")
                        set(ZLIB_LIBRARY ${CMAKE_CURRENT_BINARY_DIR}/src/zlib-1.3.1/libzlibd.dll)
                    else()
                        set(ZLIB_LIBRARY ${CMAKE_CURRENT_BINARY_DIR}/src/zlib-1.3.1/libzlib.dll)
                    endif()
                endif()
		set(BUILD_SHARED_LIBS OFF)
  		set(QUAZIP_INSTALL OFF)
                set(QUAZIP_USE_QT_ZLIB OFF)
                set(QUAZIP_ENABLE_TESTS OFF)
		set(QUAZIP_BZIP2 OFF)
		set(QUAZIP_IS_STATIC ON)
		set(QUAZIP_SOURCE_LINK 2)
		add_subdirectory(src/quazip)
	endif()
	if(${QUAZIP_IS_STATIC})
		set(ADDITIONAL_DEFINITIONS ${ADDITIONAL_DEFINITIONS} -DQUAZIP_STATIC)
	endif()
endif()

# Options
if(NOT MSVC)
	option(TEXSTUDIO_ENABLE_CRASH_HANDLER "Enable/Disable internal crash handler" ON)
	if(NOT ${TEXSTUDIO_ENABLE_CRASH_HANDLER})
		message(STATUS "Internal crash handler disabled as you wish.")
		set(ADDITIONAL_DEFINITIONS ${ADDITIONAL_DEFINITIONS} -DNO_CRASH_HANDLER)
	endif()
else()
	set(ADDITIONAL_DEFINITIONS ${ADDITIONAL_DEFINITIONS} -DNO_CRASH_HANDLER)
endif()

option(TEXSTUDIO_BUILD_ADWAITA "Enable/Disable internal adwaita-qt style" ON)
if(TEXSTUDIO_BUILD_ADWAITA)
    find_package(Qt${QT_VERSION_MAJOR}DBus REQUIRED)
    set(ADDITIONAL_DEFINITIONS ${ADDITIONAL_DEFINITIONS} -DADWAITA)
    message(STATUS "integrate adwaita style")
endif()
add_subdirectory(src/adwaita-qt)

option(TEXSTUDIO_ENABLE_TESTS "Enable/Disable internal tests" OFF)
if(${TEXSTUDIO_ENABLE_TESTS})
	message(STATUS "tests enabled.")
	find_package(Qt${QT_VERSION_MAJOR} COMPONENTS Test REQUIRED)
        set(ADDITIONAL_DEFINITIONS ${ADDITIONAL_DEFINITIONS} -DTESTDATADIR="${CMAKE_CURRENT_SOURCE_DIR}/src/tests/testdata")
	set(HEADER_FILES ${HEADER_FILES}
		src/tests/buildmanager_t.h
		src/tests/codesnippet_t.h
		src/tests/encoding_t.h
		src/tests/execprogram_t.h
		src/tests/git_t.h
		src/tests/help_t.h
		src/tests/latexcompleter_t.h
		src/tests/latexdocument_t.h
		src/tests/latexeditorview_bm.h
		src/tests/latexeditorview_t.h
		src/tests/latexoutputfilter_t.h
		src/tests/latexparser_t.h
		src/tests/latexparsing_t.h
		src/tests/latexstyleparser_t.h
		src/tests/qcetestutil.h
		src/tests/qdocumentcursor_t.h
		src/tests/qdocumentline_t.h
		src/tests/qdocumentsearch_t.h
		src/tests/qeditor_t.h
		src/tests/qsearchreplacepanel_t.h
		src/tests/scriptengine_t.h
		src/tests/smallUsefulFunctions_t.h
		src/tests/structureview_t.h
		src/tests/syntaxcheck_t.h
		src/tests/tablemanipulation_t.h
		src/tests/testmanager.h
		src/tests/testutil.h
                src/tests/texstudio_t.h
		src/tests/updatechecker_t.h
		src/tests/usermacro_t.h
		src/tests/utilsui_t.h
		src/tests/utilsversion_t.h
	)
	set(SOURCE_FILES ${SOURCE_FILES}
		src/tests/codesnippet_t.cpp
		src/tests/encoding_t.cpp
		src/tests/execprogram_t.cpp
		src/tests/git_t.cpp
		src/tests/latexcompleter_t.cpp
		src/tests/latexdocument_t.cpp
		src/tests/latexeditorview_bm.cpp
		src/tests/latexeditorview_t.cpp
		src/tests/latexoutputfilter_t.cpp
		src/tests/latexparser_t.cpp
		src/tests/latexparsing_t.cpp
		src/tests/latexstyleparser_t.cpp
		src/tests/qcetestutil.cpp
		src/tests/qdocumentcursor_t.cpp
		src/tests/qdocumentline_t.cpp
		src/tests/qdocumentsearch_t.cpp
		src/tests/qeditor_t.cpp
		src/tests/qsearchreplacepanel_t.cpp
		src/tests/scriptengine_t.cpp
		src/tests/smallUsefulFunctions_t.cpp
		src/tests/structureview_t.cpp
		src/tests/syntaxcheck_t.cpp
		src/tests/tablemanipulation_t.cpp
		src/tests/testmanager.cpp
		src/tests/testutil.cpp
                src/tests/texstudio_t.cpp
		src/tests/usermacro_t.cpp
	)
else()
	message(STATUS "tests disabled.")
	set(ADDITIONAL_DEFINITIONS ${ADDITIONAL_DEFINITIONS} -DNO_TESTS)
endif()

option(TEXSTUDIO_ENABLE_MEDIAPLAYER "Enable/Disable the video player in pdf files" OFF)
if(${TEXSTUDIO_ENABLE_MEDIAPLAYER})
	message(STATUS "the video player in pdf files is enabled.")
	find_package(Qt${QT_VERSION_MAJOR} COMPONENTS Multimedia MultimediaWidgets REQUIRED)
	set(ADDITIONAL_DEFINITIONS ${ADDITIONAL_DEFINITIONS} -DMEDIAPLAYER)
else()
	message(STATUS "the video player in pdf files is disabled.")
endif()

option(TEXSTUDIO_ENABLE_DEBUG_LOGGER "Enable/Disable debug logger" OFF)
if(${TEXSTUDIO_ENABLE_DEBUG_LOGGER})
	message(STATUS "Debug logger is built.")
	set(ADDITIONAL_DEFINITIONS ${ADDITIONAL_DEFINITIONS} -DDEBUG_LOGGER)
endif()

# poppler

find_package(PkgConfig)
pkg_check_modules(POPPLER QUIET IMPORTED_TARGET poppler poppler-cpp poppler-qt${QT_VERSION_MAJOR})
if(POPPLER_FOUND)
    message(STATUS "Build internal pdf previewer.")
else()
    message(STATUS "Poppler not found, internal pdf previewer disabled.")
    set(ADDITIONAL_DEFINITIONS ${ADDITIONAL_DEFINITIONS} -DNO_POPPLER_PREVIEW)
    if(WIN32)
        set(ADDITIONAL_DEFINITIONS ${ADDITIONAL_DEFINITIONS} -D_WIN32)
    endif()
endif()
add_subdirectory(src/pdfviewer)

# Build texstudio application
add_executable(texstudio ${SOURCE_FILES} ${HEADER_FILES} ${RESOURCE_FILES} ${FORM_FILES} ${OSX_FILES} ${manual} ${images} ${static} ${static_scripts} ${static_styles} ${design_static}
)
target_link_libraries(texstudio PRIVATE
    Qt${QT_VERSION_MAJOR}::Core
    Qt${QT_VERSION_MAJOR}::Gui
    Qt${QT_VERSION_MAJOR}::Widgets
    Qt${QT_VERSION_MAJOR}::PrintSupport
    Qt${QT_VERSION_MAJOR}::Svg
    Qt${QT_VERSION_MAJOR}::Network
    Qt${QT_VERSION_MAJOR}::Xml
    Qt${QT_VERSION_MAJOR}::Qml
    Qt${QT_VERSION_MAJOR}::Concurrent
    Qt${QT_VERSION_MAJOR}::UiTools
)
if(NOT MSVC AND CMAKE_VERSION VERSION_GREATER_EQUAL "3.16.0")
    target_precompile_headers(texstudio PUBLIC src/mostQtHeaders.h)
endif()

if(TEXSTUDIO_BUILD_ADWAITA)
    target_link_libraries(texstudio PRIVATE Qt${QT_VERSION_MAJOR}::DBus)
endif()

set_source_files_properties(${OSX_FILES} PROPERTIES MACOSX_PACKAGE_LOCATION "Resources")
set_source_files_properties(${manual} PROPERTIES MACOSX_PACKAGE_LOCATION "Resources/html")
set_source_files_properties(${images} PROPERTIES MACOSX_PACKAGE_LOCATION "Resources/html/_images")

=== debian/changelog ===
texstudio (4.8.5+ds-1) unstable; urgency=medium

  * Merging upstream version 4.8.5+ds.
  * Removing number prefix from patches in changelog file for better
    readability.
  * Fixing excluded files in changelog file.
  * Fixing excluded files in copyright file.
  * Updating year in copyright file.
  * Regenerating cleanup-appstream.patch.
  * Rebuilding upstream tarball without:
    - conflicting debian directory
    - conflicting .gitattributes file
    - conflicting .gitignore file
    - unused .github directory
    - unused src/adwaita-qt directory
    - unused src/hunspell directory
    - unused src/quazip directory
    - unused src/zlib* directory
    - unused utilities/FileAssociation.nsh file
    - unused utilities/fonts directory
    - unused utilities/installscript.qs file
    - unused utilities/manual/build directory
    - unused utilities/manual/make.bat file
    - unused utilities/poppler-data directory
    - unused utilities/qxs/doc directory
    - unused utilities/texstudio*.nsi files
    - unused utilities/TexTablet directory
    - unused dictionary and thesaurus files
    - unused qt translations
    - unused precompiled TeXstudio translations
    - obsolete usermanual files

 -- Tom Jampen <tom@cryptography.ch>  Sun, 05 Jan 2025 21:51:30 +0100

texstudio (4.8.4+ds-2) unstable; urgency=medium

  * Migrating to qt6 (Closes: #1089113):
    - Updating build dependencies for qt6.
    - Updating dependencies for qt6.
    - Updating path to qt6 lrelease in rules file.
    - Adding qtermwidget6.patch for building with and including
      qtermwidget6.
  * Removing no longer valid texstudio.lintian-overrides.
  * Fixing upstream metainfo filename.

 -- Tom Jampen <tom@cryptography.ch>  Tue, 10 Dec 2024 07:52:11 +0100

=== debian/control ===
--- 
+++ 
@@ -4,18 +4,19 @@
 Maintainer: Tom Jampen <tom@cryptography.ch>
 Build-Depends:
  cmake, debhelper-compat (= 13), furo (>= 2023.07.26),
- libhunspell-dev (>= 1.5.1), libpoppler-cpp-dev, libpoppler-qt5-dev,
- libqt5svg5-dev, libquazip1-qt5-dev, libqtermwidget5-1-dev, pkgconf,
+ libhunspell-dev (>= 1.5.1), libpoppler-cpp-dev, libpoppler-qt6-dev,
+ libquazip1-qt6-dev, libqtermwidget-dev, libxkbcommon-dev, pkgconf,
  python3-myst-parser, python3-sphinx, python3-sphinx-design,
- python3-sphinx-inline-tabs, python3-sphinxext-opengraph, qtchooser,
- qtdeclarative5-dev, qtmultimedia5-dev, qtscript5-dev, qttools5-dev, zlib1g-dev
+ python3-sphinx-inline-tabs, python3-sphinxext-opengraph, qt6-base-dev,
+ qt6-declarative-dev, qt6-l10n-tools, qt6-multimedia-dev, qt6-svg-dev,
+ qt6-tools-dev, zlib1g-dev
 Standards-Version: 4.7.0
 Rules-Requires-Root: no
 Homepage: https://texstudio.org/
 
 Package: texstudio
 Architecture: any
-Depends: ${misc:Depends}, ${shlibs:Depends}, libqt5svg5
+Depends: ${misc:Depends}, ${shlibs:Depends}, libqt6svg6
 Recommends:
  adwaita-qt, texlive-base, texlive-latex-base, texlive-latex-recommended,
  texstudio-doc, texstudio-l10n

## texstudio 4.8.6

=== debian/changelog ===
texstudio (4.8.6-2+4.25) unstable; urgency=low

  * version number update by debtransform

 -- debtransform <build@opensuse.org>  Thu, 23 Oct 2025 17:03:25 +0000

texstudio (4.8.6-52) unstable; urgency=low

  * update to git rev.  4.8.6

 -- Jan Sundermeyer <jsundermeyer@sf.net>  Fri, 07 Feb 2025 18:41:35 +0100

texstudio (4.8.6-51) unstable; urgency=low

  * update to git rev.  4.8.6rc1

 -- Jan Sundermeyer <jsundermeyer@sf.net>  Fri, 24 Jan 2025 18:11:28 +0100

texstudio (4.8.6-50) unstable; urgency=low

  * update to git rev.  4.8.5-35-gdd5aabde3

 -- Jan Sundermeyer <jsundermeyer@sf.net>  Tue, 31 Dec 2024 18:22:16 +0100

texstudio (4.8.6-49) unstable; urgency=low

  * update to git rev.  4.8.5-12-g970e88dfd

 -- Jan Sundermeyer <jsundermeyer@sf.net>  Fri, 20 Dec 2024 20:34:31 +0100

texstudio (4.8.6-19) unstable; urgency=low

  * update to git rev.  4.3.1-154-gb3894ed1d

 -- Jan Sundermeyer <jsundermeyer@sf.net>  Fri, 14 Oct 2022 21:04:55 +0200

texstudio (4.8.6-18) unstable; urgency=low

  * update to git rev.  4.3.1-141-g54ee787b3

 -- Jan Sundermeyer <jsundermeyer@sf.net>  Fri, 07 Oct 2022 21:17:12 +0200

texstudio (4.8.6-17) unstable; urgency=low

  * update to git rev.  4.3.1-23-ge92adb89e

 -- Jan Sundermeyer <jsundermeyer@sf.net>  Tue, 06 Sep 2022 20:51:30 +0200

texstudio (4.8.6-16) unstable; urgency=low

  * update to git rev.  4.2.3rc1-3-g2587d772f

 -- Jan Sundermeyer <jsundermeyer@sf.net>  Sun, 17 Apr 2022 09:25:29 +0200

texstudio (4.8.6-15) unstable; urgency=low

  * update to git rev.  4.2.3rc1

 -- Jan Sundermeyer <jsundermeyer@sf.net>  Fri, 15 Apr 2022 11:22:59 +0200

texstudio (4.8.6-14) unstable; urgency=low

  * update to git rev.  4.2.2-96-g07b27ce4e

 -- Jan Sundermeyer <jsundermeyer@sf.net>  Sun, 10 Apr 2022 10:22:50 +0200

texstudio (4.8.6-13) unstable; urgency=low

  * update to git rev.  4.2.2-81-g9ae61d7f1

 -- Jan Sundermeyer <jsundermeyer@sf.net>  Sun, 03 Apr 2022 11:36:05 +0200

texstudio (4.8.6-12) unstable; urgency=low

  * update to git rev.  4.2.2-16-g780852337

 -- Jan Sundermeyer <jsundermeyer@sf.net>  Thu, 03 Mar 2022 18:13:15 +0100

texstudio (4.8.6-11) unstable; urgency=low

  * update to git rev.  4.0.2-26-g9fe49c92

 -- Jan Sundermeyer <jsundermeyer@sf.net>  Sat, 30 Oct 2021 15:31:54 +0200

texstudio (4.8.6-10) unstable; urgency=low

  * update to git rev.  4.0.2-24-gd2436af1

 -- Jan Sundermeyer <jsundermeyer@sf.net>  Sat, 30 Oct 2021 09:12:16 +0200
